/**
* Javascript support functions for the Orthodox calendar application. 
* 
* @package Calendar
* @subpackage Orthodox calendar
* @category Javascript
* @author Misa Brezanac <brezanac@gmail.com>
* @copyright http://creativecommons.org/licenses/by-nc-sa/3.0/rs/
*/

var useAjax = true;
var requestFormName = 'dialer';
var firstLoadDetails = true;

function onLoad(day, month, year){
    if(!firstLoadDetails){
        $('infoPanel').hide();
    } else {
        if(day == null || month == null || year == null){
            var currentDate = new Date();
            displayInfoPanel(true, currentDate.getDate(), currentDate.getMonth() + 1, currentDate.getFullYear());
        } else {
            displayInfoPanel(true, day, month, year);
        }
    }  
}

function displayInfoPanel(status, day, month, year){
    if(status){
		//to prevent the IE bug of showing form fields when its not supposed to they need to be hidden
        switchDetails(day, month, year);
        $('dialer').fade();
		$('infoPanel').appear();
	} else {
        $('infoPanel').fade();
		$('dialer').appear();
	}
}

function switchDetails(day, month, year){
    requestUrl = 'fetchDetails.php?day=' + day + '&month=' + month + '&year=' + year;
    if(useAjax){
        makeAJAXRequest('GET', requestUrl + '&ajax=true');    
    } else {
        document.location = requestUrl;
    } 
}

function switchMonth(direction){
    nextYear = document.getElementById('nextYear').value;
    nextMonth = document.getElementById('nextMonth').value;
    previousYear = document.getElementById('previousYear').value;
    previousMonth = document.getElementById('previousMonth').value;
    
    switch(direction){
        case 'next':
            requestUrl = 'fetchMonth.php?month=' + nextMonth + '&year=' + nextYear;
        break;
        case 'previous':
            requestUrl = 'fetchMonth.php?month=' + previousMonth + '&year=' + previousYear;
        break;
    }

    if(useAjax){
        makeAJAXRequest('GET', requestUrl + '&ajax=true');    
    } else {
        document.location = requestUrl;
    }
}

function fetchMonth(){
    requestedYear = document.getElementById('year').value;
    requestedMonth = document.getElementById('month').value;
    requestUrl = 'fetchMonth.php?month=' + requestedMonth + '&year=' + requestedYear;
    
    if(requestedYear < 1970 || requestedYear > 2035){
        alert("Dozvoljena vrednost za godinu je\nizmedju 1970. i 2035.!");
    } else {
        if(useAjax){
            makeAJAXRequest('GET', requestUrl + '&ajax=true');    
        } else {
            document.location = requestUrl;
        }
    }   			
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}