<?php
/**
* This is the main configuration file of the Orthodox calendar application.
* 
* @package Calendar
* @subpackage Orthodox calendar
* @category Configuration
* @author Misa Brezanac <brezanac@gmail.com>
* @copyright http://creativecommons.org/licenses/by-nc-sa/3.0/rs/ 
*/

/*
* During production error reporting should avoid displaying errors
*/
error_reporting(E_ALL ^ E_NOTICE);
ini_set('display_errors', 0);

/**
* Site URL 
*/
define('SITE_URL', 'http://localhost/kalendar/');

/**
* Applications root path.
*/
define('APPLICATION_ROOT', dirname(__FILE__));

/**
* Language files path. All files need to be in format 'language'.lang.php
*/
define('LANGUAGE_ROOT', APPLICATION_ROOT.'/lang/');

/**
* Feasts images folder path
*/
define('IMAGES_ROOT', APPLICATION_ROOT.'/images/saints/');

/**
* Images URL base
*/
define('IMAGES_URL', SITE_URL.'images/saints/');

/**
* Small feasts images folder path
*/
define('WIDGET_IMAGES_ROOT', APPLICATION_ROOT.'/images/saints/widget/');

/**
* Widget images URL 
*/
define('WIDGET_IMAGES_URL', SITE_URL.'/images/saints/widget/');

/**
* Templates root 
*/
define('TEMPLATES_ROOT', APPLICATION_ROOT.'/templates/');

/**
* Default application language.
*/
define('DEFAULT_LANGUAGE', 'Srpski');

/**
* Applications default encoding
*/
define('APP_ENCODING', 'utf-8');

/**
* Type of nonnection (mysql,mysqli).
*/
define('DB_TYPE', 'mysql');
/**
* Database host.
*/
define('DB_HOST', 'localhost');
/**
* Database name.
*/
define('DB_NAME', 'calendar');
/**
* Database urename. 
*/
define('DB_USERNAME', 'testuser');
/**
* Database password.
*/
define('DB_PASSWORD', 'testpass');
/**
* Client charset
*/
define('DB_CHARSET', 'utf8');

/**
* The error log file name.
*/
define('ERROR_LOG_FILE', APPLICATION_ROOT.'/error_log.dat');

/**
* The name of the CSS id selector representing the calendar
*/
define('CALENDAR_CLASS_ID', 'calendar');

define('DETAILED_CALENDAR_LINK', 'http://www.pakibitija.com/kalendar/');
/**
* Conditional Unix time stamp year boundaries. Before version 5.1 there were no Unix timestamps before 1970. 
*/
if(floatval(PHP_VERSION) < 5.1){
    /**
    * The lowest allowed Unix timestamp year for calculations
    */
    define('UNIX_TIMESTAMP_LOW_YEAR', 1970);    
    
} else {
    define('UNIX_TIMESTAMP_LOW_YEAR', 1901);
}
/**
* The highest allowed Unix timestamp year for calculations
*/
define('UNIX_TIMESTAMP_HIGH_YEAR', 2035);

/**
* Is the debug mode ON? 
*/
define('DEBUG_MODE', false);
/**
* Class declaration files autoloader.
* 
* If a class declaration was not found during the instantiation in the code 
* the autoloader will try to load it from the given folder.
* 
* @param string $className The name of the class for which a declaration file is to be included. 
*/
function __autoload($className){
    require_once dirname(__FILE__)."/classes/{$className}.class.php";           
}
?>
