<?php 
/**
* This is a calendar sample page used to demonstrate the propper way to invoke the calendar on web pages.
* 
* This file is responsible for serving an AJAX or an ordinary non AJAX client request sent by the 
* Calendar class object. It will serve an XML response in case of AJAX or an XHTML response in case of non AJAX.
* 
* @package Calendar
* @subpackage Orthodox calendar
* @category Calendars
* @author Misa Brezanac <brezanac@gmail.com>
* @copyright http://creativecommons.org/licenses/by-nc-sa/3.0/rs/
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Eastern Orthodox church calendar sample page</title>
<link href="css/stylesheet.css" rel="stylesheet" type="text/css" />
<script src="clientscript/prototype.js" type="text/javascript"></script>
<script src="clientscript/scriptaculous.js" type="text/javascript"></script>
<script type="text/javascript" src="clientscript/ajax.js"></script>
<script type="text/javascript" src="clientscript/functions.js"></script>
<?php 
/* 
 * The following <noscript> block needs to be provided as is on every page displaying the calendar
 * in order to simulate the required display behaviour of the details DIV containers.
*/ 
?>
<noscript>
<style type="text/css">
#infoPanel {
	display: none;
}
</style>
</noscript>
<?php 
/* 
 * The following conditional comment is used to invoke special Internet Explorer CSS fixes (no hacks included).
*/
?>
<!--[if IE 6]>
    <link href="iefix.css" rel="stylesheet" type="text/css" /> 
<![endif]-->
</head><body onload="MM_preloadImages('images/close_high.png'); onLoad();">
<div id="iefix">
  <div id="calendar">
    <?php
        /*
        * Calendar invocation is done by first requiring the main config file (config.php).
        * This step is required in order to load the autoloader functions and variables and constants 
        * required by the classes.
        * 
        * Afterwards a new Orthodox_Calendar object is instantiated by providing data for its parent class (Calendar)
        * constructor. These are the className and variables presenting the required month and year to be displayed.
        * The $_REQUEST superglobal is queried instead of the $_POST or $_GET because by using $_REQUEST its absolutelly
        * irrelevant if data is beeing sent with GET or POST method.
        * 
        * After the Calendar instantiation the calendar needs to be built and rendered. The building method actually
        * does all the hard work. Remember... It is absolutelly vital for the calendar to be built before it is rendered. 
        */
		require_once "config.php";

        $calendar = new Orthodox_Calendar('calendar', $_REQUEST['month'], $_REQUEST['year']);
        $calendar->buildCalendar();
        $calendar->renderCalendar();
    ?>
  </div>
</div>
<div id="infoPanel">
  <div id="infoPanelHeader"></div>
  <div id="infoPanelContentContainer">
    <div class="padding10px">
      <div id="infoPanelMainContent"></div>
    </div>
  </div>
  <div class="copyright" id="infoPanelFooter"><strong><a href="http://csl.tfc.kg.ac.rs">Laboratorija za računarsku tehniku</a></strong> </div>
</div>
</body>
</html>
