<?php 
/**
 * View template file for the feast table content of the calendar.
 * 
 * @package Calendar
 * @subpackage Orthodox calendar
 * @category Templates
 * @author Misa Brezanac <brezanac@gmail.com>
 * @copyright http://creativecommons.org/licenses/by-nc-sa/3.0/rs/
*/
?>
<table cellspacing="1">
    <tr>
        <th colspan="5"><a href="?month=<?php 
                echo $this->viewData['previousMonth']; 
            ?>&amp;year=<?php 
                echo $this->viewData['previousYear']; 
            ?>" title="Кликните овде за преглед претходног месеца" onclick="switchMonth('previous'); return false;">&lt;&lt;</a> <input type="hidden" id="previousMonth" name="previousMonth" value="<?php 
                echo $this->viewData['previousMonth']; 
            ?>" /><input type="hidden" id="previousYear" name="previousYear" value="<?php 
                echo $this->viewData['previousYear']; 
            ?>" /><?php 
                echo $this->viewData['currentMonthName']; 
            ?> <?php 
                echo $this->viewData['currentYear']; 
            ?> <a href="?month=<?php 
                echo $this->viewData['nextMonth'];
            ?>&amp;year=<?php 
                echo $this->viewData['nextYear']; 
            ?>" title="Кликните овде за преглед следећег месеца" onclick="switchMonth('next'); return false;">&gt;&gt;</a><input type="hidden" id="nextMonth" name="nextMonth" value="<?php 
                echo $this->viewData['nextMonth']; 
            ?>" /><input type="hidden" id="nextYear" name="nextYear" value="<?php 
                echo $this->viewData['nextYear']; 
            ?>" /></th>
    </tr>
    <tr>
        <th>Дани</th>
        <th>Нови</th>
        <th>Стари</th>
        <th colspan="2"><div align="right"><?php echo $this->viewData['daysInMonth']; ?> <?php echo $this->viewData['abbrDays']; ?></div></th>
    </tr>
    
    <?php
        /**
        * Take care... This is the alternative PHP syntax.
        */
        foreach($this->viewData['finalFeastsList'] as $feastIndex => $feast):
    ?>
    <tr>
        <td class="<?php echo $feast['rowClass']; ?>"><?php echo $feast['weekdayNameShort']; ?></td>
        <td class="<?php echo $feast['rowClass']; ?>"><?php echo $feast['day']; ?></td>  
        <td class="<?php echo $feast['rowClass']; ?>"><?php echo $feast['julianDay']; ?></td>
        <td class="<?php echo $feast['rowClass']; ?>">
            <div class="<?php echo $feast['contentClass']; ?>"><?php echo $feast['titleTemp']; ?></div>
        </td>
        <td class="<?php echo $feast['rowClass']; ?>">
            <a href="fetchDetails.php?day=<?php echo $feast['day'] ?>&amp;month=<?php echo $feast['month']; ?>&amp;year=<?php echo $feast['year']; ?>" title="Кликните овде за преглед детаља" target="_blank" onclick="displayInfoPanel(true, <?php echo $feast['day'] ?>,<?php echo $feast['month']; ?>,<?php echo $feast['year']; ?>); return false;">
                <img src="images/details.png" alt="детаљи" width="20" height="20" border="0" /></a>
            </td>
    </tr>
    <?php 
        endforeach;
    ?>
    
    <tr>
        <th colspan="5">
        <form id="dialer" name="dialer" method="post" action="#" onsubmit="fetchMonth(); return false;">
            Изаберите месец за преглед:
            <select name="month" id="month">
                <?php 
                    foreach($this->viewData['monthSelect'] as $monthIndex => $month):
                ?>
                    <option value="<?php echo $month['value']; ?>"<?php echo $month['additional']; ?>><?php echo $month['name']; ?></option>
                <?php 
                    endforeach;
                ?>
            </select>
              <input name="year" type="text" id="year" size="4" maxlength="4" value="<?php echo $this->viewData['currentYear']; ?>" />
              <input type="submit" name="submit" id="submit" value="Прикажи" />
            </form>
        </th>
    </tr>
</table>
